/* Created by Content Blocks */
.online-services {
  position: relative;
  padding: 0 40px;
}

.online-services .services__icon.font__fal {
  position: relative;
  text-align: center;
  font-size: 50px;
  color: rgb(var(--c-neutral-lightest));
  font-weight: 400;
}

.online-services .services__icon {
  height: 60px;
  display: flex;
  justify-content: center;
}

.online-services .services__image,
.online-services .services__icon {
  background-color: rgb(var(--c-primary-dark));
  border-radius: 50%;
  width: 100px;
  height: 100px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-weight: var(--f-weight-b);
  color: rgb(var(--c-primary));
  z-index: 10;
  padding: 1rem;
}

.online-services .services__title h5 {
  color: rgb(var(--c-primary-dark));
  font-size: var(--f-size-l-1);
  font-family: var(--f-family);
  font-weight: var(--f-weight);
  text-transform: uppercase;
}

.online-services .services__textblock {
  text-align: center;
  margin-top: 1rem;
}

.online-services .services__text p {
  color: rgb(var(--c-neutral-dark));
}

.online-services a[rel="noreferrer"]:not(:has(span.font__button))::after {
  right: 4rem;
  position: absolute;
  top: 0.25rem;
  border-radius: 50%;
  padding: 0.25rem 0.5rem;
  z-index: 10;
  background-color: rgb(var(--c-primary));
  color: rgb(var(--c-neutral-lightest));
}

.online-services .services__slider {
  z-index: 1;

  & .swiper-slide {
    box-sizing: border-box;
    transition: padding ease 0.3s;
    justify-content: center;
    display: flex;

    & > a {
      display: block;
    }
  }

  & .swiper-navigation {
    position: relative;
    top: auto;
    bottom: auto;
  }
}

@media (hover: hover) {
  .services__item:hover .services__icon,
  .services__item:hover .services__image {
    background-color: rgb(var(--c-primary));
  }

  .services__item:hover .services__title h5 {
    color: rgb(var(--c-primary));
  }
}

.online-services .swiper-wrapper {
  display: flex;
  flex-direction: row;
  padding-bottom: 50px;
}

.online-services div.services__slider {
  position: relative;
}

.online-services .services__item {
  justify-items: center;
  padding: 0 1.5rem;
}

/* =============================================================================
   Media Queries
   ========================================================================== */

@media (min-width: 800px) {
  .online-services .services__image img {
    display: block;
    height: 100% !important;
    object-fit: cover;
  }

  .online-services .services__text p {
    width: auto;
  }
}

@media (min-width: 1580px) {
  .online-services {
    padding-right: 60px;
    padding-left: 60px;
    margin-right: -60px;
    margin-left: -60px;
  }
}
